Index: sansview/perspectives/fitting/fitting.py
===================================================================
--- sansview/perspectives/fitting/fitting.py	(revision bb18ef1c74ed79eb0630f198735ad2b14e7913ab)
+++ sansview/perspectives/fitting/fitting.py	(revision c77d8592395f6684cf45ee976c1cac9db9c00110)
@@ -14,5 +14,5 @@
 from fit_thread import FitThread
 import models
-import fitpage1D
+import fitpage
 
 DEFAULT_BEAM = 0.005
@@ -22,5 +22,18 @@
 import time
 import thread
-
+class PlotInfo:
+    """
+        store some plotting field
+    """
+    _xunit = 'A^{-1}'
+    _xaxis= "\\rm{Q}"
+    _yunit = "cm^{-1}"
+    _yaxis= "\\rm{Intensity} "
+    id = "Model"
+    group_id = "Model"
+    title= None
+    info= None
+    
+    
 class Plugin:
     """
@@ -40,5 +53,8 @@
         self.mypanels=[]
         # reference to the current running thread
-        self.calc_thread = None
+        self.calc_2D= None
+        self.calc_1D= None
+        self.calc_fit= None
+        
         # Start with a good default
         self.elapsed = 0.022
@@ -60,10 +76,5 @@
         self.err_dy={}
         
-    def _on_data_error(self, event):
-        """
-            receives and event from plotting plu-gins to store the data name and 
-            their errors of y coordinates for 1Data hide and show error
-        """
-        self.err_dy= event.err_dy
+   
         
     def populate_menu(self, id, owner):
@@ -79,4 +90,5 @@
         self.menu1.Append(id1, '&Simultaneous')
         wx.EVT_MENU(owner, id1, self.on_add_sim_page)
+        self.menu1.AppendSeparator()
         #Set park engine
         id3 = wx.NewId()
@@ -84,5 +96,5 @@
         self.menu1.Append(id3, "Scipy",scipy_help) 
         wx.EVT_MENU(owner, id3,  self._onset_engine_scipy)
-        
+        self.menu1.AppendSeparator()
         id3 = wx.NewId()
         park_help = "Park Engine: Perform Complex fit. More in Help window...."
@@ -99,5 +111,5 @@
         self.fit_panel.set_owner(owner)
         self.fit_panel.set_model_list(self.menu_mng.get_model_list())
-        owner.Bind(fitpage1D.EVT_MODEL_BOX,self._on_model_panel)
+        owner.Bind(fitpage.EVT_MODEL_BOX,self._on_model_panel)
         
         #create  menubar items
@@ -168,25 +180,4 @@
 
         
-    def _on_slicer_event(self, event):
-        """
-            Receive a panel as event and send it to guiframe 
-            @param event: event containing a panel
-        """
-        if event.panel!=None:
-            new_panel = event.panel
-            # Set group ID if available
-            event_id = self.parent.popup_panel(new_panel)
-            self.menu1.Append(event_id, new_panel.window_caption, 
-                             "Show %s plot panel" % new_panel.window_caption)
-            # Set UID to allow us to reference the panel later
-            new_panel.uid = event_id
-            new_panel
-            self.mypanels.append(new_panel) 
-        return    
-    
-        
-    def _on_show_panel(self, event):
-        print "_on_show_panel: fitting"
-      
       
     def get_perspective(self):
@@ -240,4 +231,336 @@
 
 
+   
+                    
+    def schedule_for_fit(self,value=0,fitproblem =None):  
+        """
+            Set the fit problem field to 0 or 1 to schedule that problem to fit.
+            Schedule the specified fitproblem or get the fit problem related to 
+            the current page and set value.
+            @param value : integer 0 or 1 
+            @param fitproblem: fitproblem to schedule or not to fit
+        """   
+        if fitproblem !=None:
+            fitproblem.schedule_tofit(value)
+        else:
+            current_pg=self.fit_panel.get_current_page() 
+            for page, val in self.page_finder.iteritems():
+                if page ==current_pg :
+                    val.schedule_tofit(value)
+                    break
+                      
+                    
+    def get_page_finder(self):
+        """ @return self.page_finder used also by simfitpage.py"""  
+        return self.page_finder 
+    
+    
+    def set_page_finder(self,modelname,names,values):
+        """
+             Used by simfitpage.py to reset a parameter given the string constrainst.
+             @param modelname: the name ot the model for with the parameter has to reset
+             @param value: can be a string in this case.
+             @param names: the paramter name
+             @note: expecting park used for fit.
+        """  
+        sim_page= self.sim_page
+        for page, value in self.page_finder.iteritems():
+            if page != sim_page:
+                list=value.get_model()
+                model = list[0]
+                if model.name== modelname:
+                    value.set_model_param(names,values)
+                    break
+
+   
+                            
+    def split_string(self,item): 
+        """
+            receive a word containing dot and split it. used to split parameterset
+            name into model name and parameter name example:
+            paramaterset (item) = M1.A
+            @return model_name =M1 , parameter name =A
+        """
+        if string.find(item,".")!=-1:
+            param_names= re.split("\.",item)
+            model_name=param_names[0]
+            param_name=param_names[1]  
+            return model_name,param_name
+        
+   
+    def stop_fit(self):
+        """
+            Stop the fit engine
+        """
+        if self.calc_fit!= None and self.calc_thread.isrunning():
+            self.calc_thread.stop()
+            wx.PostEvent(self.parent, StatusEvent(status="Fitting  \
+                is cancelled" , type="stop"))
+            
+      
+    def on_single_fit(self,id=None,qmin=None, qmax=None):
+        """ 
+            perform fit for the  current page  and return chisqr,out and cov
+            @param engineName: type of fit to be performed
+            @param id: unique id corresponding to a fit problem(model, set of data)
+            @param model: model to fit
+            
+        """
+        #set an engine to perform fit
+        from sans.fit.Fitting import Fit
+        self.fitter = Fit(self._fit_engine)
+        #Setting an id to store model and data in fit engine
+        self.fit_id = 0
+        if id!=None:
+            self.fit_id = id
+        
+        page_fitted = None
+        fit_problem = None
+        #Get information (model , data) related to the page on 
+        #with the fit will be perform
+        current_pg= self.fit_panel.get_current_page() 
+        simul_pg= self.sim_page
+        pars=[]   
+        ## Check that the current page is different from self.sim_page
+        if current_pg != simul_pg:
+            value = self.page_finder[current_pg]
+            metadata =  value.get_fit_data()
+            list = value.get_model()
+            model = list[0]
+            smearer = value.get_smearer()
+           
+            #Create list of parameters for fitting used
+            templist=[]
+            try:
+                ## get the list of parameter names to fit
+                templist = current_pg.get_param_list()
+            
+                for element in templist:
+                    pars.append(str(element[1]))
+    
+                pars.sort()
+                #Do the single fit
+                self.fitter.set_model(Model(model), self.fit_id, pars)
+                dy=[]
+                x=[]
+                y=[]
+                ## checking the validity of error
+                if metadata.__class__ in  ["Data1D","Theory1D"]:
+                    for i in range(len(metadata.dy)):
+                        if metadata.dy[i] !=0:
+                            dy.append(metadata.dy[i])
+                            x.append(metadata.x[i])
+                            y.append(metadata.y[i])
+                    if len(dy)>0:        
+                        metadata.dy=numpy.zeros(len(dy))
+                        metadata.dy=dy
+                        metadata.y=numpy.zeros(len(y))
+                        metadata.y=y
+                        metadata.x=numpy.zeros(len(x))
+                        metadata.x=x
+               
+                self.fitter.set_data(data=metadata,Uid=self.fit_id,
+                                     smearer=smearer,qmin= qmin,qmax=qmax )
+                
+                self.fitter.select_problem_for_fit(Uid= self.fit_id,
+                                                   value= value.get_scheduled())
+                page_fitted=current_pg
+               
+            except:
+                msg= "Single Fit error: %s" % sys.exc_value
+                wx.PostEvent(self.parent, StatusEvent(status= msg ))
+                return
+            # make sure to keep an alphabetic order 
+            #of parameter names in the list      
+            try:
+                ## If a thread is already started, stop it
+                if self.calc_fit!= None and self.calc_fit.isrunning():
+                    self.calc_fit.stop()
+                        
+                self.calc_fit=FitThread(parent =self.parent,
+                                            fn= self.fitter,
+                                            pars= pars,
+                                            cpage= page_fitted,
+                                           qmin=qmin,
+                                           qmax=qmax,
+                                          
+                                           completefn=self._single_fit_completed,
+                                           updatefn=None)
+                self.calc_fit.queue()
+                self.calc_fit.ready(2.5)
+             
+            except:
+                wx.PostEvent(self.parent, StatusEvent(status="Single Fit error: %s" % sys.exc_value))
+                return
+         
+    def on_simul_fit(self, id=None,qmin=None,qmax=None):
+        """ 
+            perform fit for all the pages selected on simpage and return chisqr,out and cov
+            @param engineName: type of fit to be performed
+            @param id: unique id corresponding to a fit problem(model, set of data)
+             in park_integration
+            @param model: model to fit
+            
+        """
+        ##Setting an id to store model and data
+        self.fit_id= 0
+        #Setting an id to store model and data
+        if id!=None:
+             self.fit_id= id
+        ##  count the number of fitproblem schedule to fit 
+        fitproblem_count= 0
+        for value in self.page_finder.itervalues():
+            if value.get_scheduled()==1:
+                fitproblem_count += 1
+        ## if simultaneous fit change automatically the engine to park
+        if fitproblem_count >1:
+            self._on_change_engine(engine='park')
+        from sans.fit.Fitting import Fit
+        self.fitter= Fit(self._fit_engine)
+        
+        
+        for page, value in self.page_finder.iteritems():
+            try:
+                if value.get_scheduled()==1:
+                    metadata = value.get_fit_data()
+                    list = value.get_model()
+                    model= list[0]
+                    ## store page
+                    cpage= page
+                    #Get list of parameters name to fit
+                    pars = []
+                    templist = []
+                    templist = page.get_param_list()
+                    for element in templist:
+                        try:
+                            name = str(element[0].GetLabelText())
+                            pars.append(name)
+                        except:
+                            wx.PostEvent(self.parent, StatusEvent(status="Simultaneous Fit error: %s" % sys.exc_value))
+                            return
+                    ## create a park model and reset parameter value if constraint
+                    ## is given
+                    new_model=Model(model)
+                    param=value.get_model_param()
+                    
+                    if len(param)>0:
+                        for item in param:
+                            param_value = item[1]
+                            param_name = item[0]
+    
+                            new_model.parameterset[ param_name].set( param_value )
+                        
+                    self.fitter.set_model(new_model, self.fit_id, pars) 
+                    ## check that non -zero value are send as dy in the fit engine
+                    dy=[]
+                    x=[]
+                    y=[]
+                    if metadata.__class__ in  ["Data1D","Theory1D"]:
+                        for i in range(len(metadata.dy)):
+                            if metadata.dy[i] !=0:
+                                dy.append(metadata.dy[i])
+                                x.append(metadata.x[i])
+                                y.append(metadata.y[i])
+                            if len(dy)>0:        
+                                metadata.dy=numpy.zeros(len(dy))
+                                metadata.dy=dy
+                                metadata.y=numpy.zeros(len(y))
+                                metadata.y=y
+                                metadata.x=numpy.zeros(len(x))
+                                metadata.x=x
+                                
+                    self.fitter.set_data(metadata,self.fit_id,qmin,qmax)
+                    self.fitter.select_problem_for_fit(Uid= self.fit_id,
+                                                       value= value.get_scheduled())
+                    self.fit_id += 1 
+                    value.clear_model_param()
+                   
+            except:
+                msg= "Simultaneous Fit error: %s" % sys.exc_value
+                wx.PostEvent(self.parent, StatusEvent(status= msg ))
+                return 
+            
+        #Do the simultaneous fit
+        try:
+            ## If a thread is already started, stop it
+            if self.calc_fit!= None and self.calc_fit.isrunning():
+                self.calc_fit.stop()
+			## perform single fit
+            if  fitproblem_count==1:
+                self.calc_fit=FitThread(parent =self.parent,
+                                        fn= self.fitter,
+                                       qmin=qmin,
+                                       qmax=qmax,
+                                       ymin= ymin,
+                                       ymax= ymax,
+                                       cpage=cpage,
+                                       pars= pars,
+                                       completefn= self._simul_fit_completed,
+                                       updatefn=None)
+                      
+            else:
+                ## Perform more than 1 fit at the time
+                self.calc_fit=FitThread(parent =self.parent,
+                                        fn= self.fitter,
+                                       qmin=qmin,
+                                       qmax=qmax,
+                                       ymin= ymin,
+                                       ymax= ymax,
+                                       completefn= self._simul_fit_completed,
+                                       updatefn=None)
+            self.calc_fit.queue()
+            self.calc_fit.ready(2.5)
+            
+        except:
+            msg= "Simultaneous Fit error: %s" % sys.exc_value
+            wx.PostEvent(self.parent, StatusEvent(status= msg ))
+            return
+      
+    def  set_smearer(self,smearer, qmin=None, qmax=None):
+        """
+            Get a smear object and store it to a fit problem
+            @param smearer: smear object to allow smearing data
+        """   
+        current_pg=self.fit_panel.get_current_page()
+        self.page_finder[current_pg].set_smearer(smearer)
+        ## draw model 1D with smeared data
+        data =  self.page_finder[current_pg].get_plotted_data()
+        list = self.page_finder[current_pg].get_model()
+        model = list[0]
+        smearer = value.get_smearer()
+        self.draw_model( model=model, data= data, smearer= smearer,
+                qmin= qmin, qmax= qmax)
+    
+    
+    
+    def draw_model(self, model, data= None,smearer= None,
+                   enable1D= True, enable2D= False,
+                   qmin= DEFAULT_QMIN, qmax= DEFAULT_QMAX, qstep= DEFAULT_NPTS):
+        """
+             Draw model.
+             @param model: the model to draw
+             @param name: the name of the model to draw
+             @param data: the data on which the model is based to be drawn
+             @param description: model's description
+             @param enable1D: if true enable drawing model 1D
+             @param enable2D: if true enable drawing model 2D
+             @param qmin:  Range's minimum value to draw model
+             @param qmax:  Range's maximum value to draw model
+             @param qstep: number of step to divide the x and y-axis
+             
+        """
+        ## draw model 1D with no loaded data
+        self._draw_model1D( model= model, data= data,enable1D=enable1D, smearer= smearer,
+                           qmin= qmin, qmax= qmax, qstep= qstep )
+        ## draw model 2D with no initial data
+        self._draw_model2D(model=model,
+                           data = data,
+                           enable2D= enable2D,
+                           qmin=qmin,
+                           qmax=qmax,
+                           qstep=qstep)
+          
+  
+  
     def _onSelect(self,event):
         """ 
@@ -284,64 +607,6 @@
                     %sys.exc_value))
                     return
-                    
-                    
-    def schedule_for_fit(self,value=0,fitproblem =None):  
-        """
-            Set the fit problem field to 0 or 1 to schedule that problem to fit.
-            Schedule the specified fitproblem or get the fit problem related to 
-            the current page and set value.
-            @param value : integer 0 or 1 
-            @param fitproblem: fitproblem to schedule or not to fit
-        """   
-        if fitproblem !=None:
-            fitproblem.schedule_tofit(value)
-        else:
-            current_pg=self.fit_panel.get_current_page() 
-            for page, val in self.page_finder.iteritems():
-                if page ==current_pg :
-                    val.schedule_tofit(value)
-                    break
-                      
-                    
-    def get_page_finder(self):
-        """ @return self.page_finder used also by simfitpage.py"""  
-        return self.page_finder 
-    
-    
-    def set_page_finder(self,modelname,names,values):
-        """
-             Used by simfitpage.py to reset a parameter given the string constrainst.
-             @param modelname: the name ot the model for with the parameter has to reset
-             @param value: can be a string in this case.
-             @param names: the paramter name
-             @note: expecting park used for fit.
-        """  
-        sim_page= self.sim_page
-        for page, value in self.page_finder.iteritems():
-            if page != sim_page:
-                list=value.get_model()
-                model = list[0]
-                if model.name== modelname:
-                    value.set_model_param(names,values)
-                    break
-
-   
-                            
-    def split_string(self,item): 
-        """
-            receive a word containing dot and split it. used to split parameterset
-            name into model name and parameter name example:
-            paramaterset (item) = M1.A
-            @return model_name =M1 , parameter name =A
-        """
-        if string.find(item,".")!=-1:
-            param_names= re.split("\.",item)
-            model_name=param_names[0]
-            param_name=param_names[1]  
-            return model_name,param_name
-        
-   
-    def _single_fit_completed(self,result,pars,cpage,qmin,qmax,elapsed=None,
-                              ymin=None, ymax=None, xmin=None, xmax=None):
+    
+    def _single_fit_completed(self,result,pars,cpage,qmin,qmax,elapsed=None):
         """
             Display fit result on one page of the notebook.
@@ -371,7 +636,9 @@
             cpage.onsetValues(result.fitness, result.pvec,result.stderr)
             ## plot the current model with new param
-            self.plot_helper(currpage=cpage,qmin=qmin,qmax=qmax,
-                             ymin=ymin, ymax=ymax,
-                             xmin=xmin, xmax=xmax,title=None)
+            metadata =  self.page_finder[cpage].get_fit_data()
+            list = self.page_finder[cpage].get_model()
+            model = list[0]
+            self.draw_model( model=model, data= metadata,qmin= qmin, qmax= qmax)
+            
         except:
             msg= "Single Fit completed but Following error occurred:"
@@ -429,233 +696,10 @@
                  return 
              
-             
-    def stop_fit(self):
-        """
-            Stop the fit engine
-        """
-        if self.calc_thread != None and self.calc_thread.isrunning():
-            self.calc_thread.stop()
-            wx.PostEvent(self.parent, StatusEvent(status="Fitting  \
-                is cancelled" , type="stop"))
-            
-            
-    def _on_single_fit(self,id=None,qmin=None, qmax=None,ymin=None, ymax=None,xmin=None,xmax=None):
-        """ 
-            perform fit for the  current page  and return chisqr,out and cov
-            @param engineName: type of fit to be performed
-            @param id: unique id corresponding to a fit problem(model, set of data)
-            @param model: model to fit
-            
-        """
-        #set an engine to perform fit
-        from sans.fit.Fitting import Fit
-        self.fitter = Fit(self._fit_engine)
-        #Setting an id to store model and data in fit engine
-        self.fit_id = 0
-        if id!=None:
-            self.fit_id = id
-        
-        page_fitted = None
-        fit_problem = None
-        #Get information (model , data) related to the page on 
-        #with the fit will be perform
-        current_pg= self.fit_panel.get_current_page() 
-        simul_pg= self.sim_page
-        pars=[]   
-        ## Check that the current page is different from self.sim_page
-        if current_pg != simul_pg:
-            value = self.page_finder[current_pg]
-            metadata =  value.get_fit_data()
-            list = value.get_model()
-            model = list[0]
-            smearer = value.get_smearer()
-           
-            #Create list of parameters for fitting used
-            templist=[]
-            try:
-                ## get the list of parameter names to fit
-                templist = current_pg.get_param_list()
-                for element in templist:
-                    pars.append(str(element[0].GetLabelText()))
-                pars.sort()
-                 
-                #Do the single fit
-                self.fitter.set_model(Model(model), self.fit_id, pars)
-                dy=[]
-                x=[]
-                y=[]
-                ## checking the validity of error
-                if metadata.__class__ in  ["Data1D","Theory1D"]:
-                    for i in range(len(metadata.dy)):
-                        if metadata.dy[i] !=0:
-                            dy.append(metadata.dy[i])
-                            x.append(metadata.x[i])
-                            y.append(metadata.y[i])
-                    if len(dy)>0:        
-                        metadata.dy=numpy.zeros(len(dy))
-                        metadata.dy=dy
-                        metadata.y=numpy.zeros(len(y))
-                        metadata.y=y
-                        metadata.x=numpy.zeros(len(x))
-                        metadata.x=x
-                        
-                self.fitter.set_data(data=metadata,Uid=self.fit_id,
-                                     smearer=smearer,qmin= qmin,qmax=qmax,
-                                     ymin=ymin,ymax=ymax)
-                
-                self.fitter.select_problem_for_fit(Uid= self.fit_id,
-                                                   value= value.get_scheduled())
-                page_fitted=current_pg
-               
-            except:
-                msg= "Single Fit error: %s" % sys.exc_value
-                wx.PostEvent(self.parent, StatusEvent(status= msg ))
-                return
-            # make sure to keep an alphabetic order 
-            #of parameter names in the list      
-            try:
-                ## If a thread is already started, stop it
-                if self.calc_thread != None and self.calc_thread.isrunning():
-                    self.calc_thread.stop()
-                        
-                self.calc_thread =FitThread(parent =self.parent,
-                                            fn= self.fitter,
-                                            pars= pars,
-                                            cpage= page_fitted,
-                                           qmin=qmin,
-                                           qmax=qmax,
-                                          
-                                           completefn=self._single_fit_completed,
-                                           updatefn=None)
-                self.calc_thread.queue()
-                self.calc_thread.ready(2.5)
-             
-            except:
-                wx.PostEvent(self.parent, StatusEvent(status="Single Fit error: %s" % sys.exc_value))
-                return
-         
-    def _on_simul_fit(self, id=None,qmin=None,qmax=None, ymin=None, ymax=None):
-        """ 
-            perform fit for all the pages selected on simpage and return chisqr,out and cov
-            @param engineName: type of fit to be performed
-            @param id: unique id corresponding to a fit problem(model, set of data)
-             in park_integration
-            @param model: model to fit
-            
-        """
-        ##Setting an id to store model and data
-        self.fit_id= 0
-        #Setting an id to store model and data
-        if id!=None:
-             self.fit_id= id
-        ##  count the number of fitproblem schedule to fit 
-        fitproblem_count= 0
-        for value in self.page_finder.itervalues():
-            if value.get_scheduled()==1:
-                fitproblem_count += 1
-        ## if simultaneous fit change automatically the engine to park
-        if fitproblem_count >1:
-            self._on_change_engine(engine='park')
-        from sans.fit.Fitting import Fit
-        self.fitter= Fit(self._fit_engine)
-        
-        
-        for page, value in self.page_finder.iteritems():
-            try:
-                if value.get_scheduled()==1:
-                    metadata = value.get_fit_data()
-                    list = value.get_model()
-                    model= list[0]
-                    ## store page
-                    cpage= page
-                    #Get list of parameters name to fit
-                    pars = []
-                    templist = []
-                    templist = page.get_param_list()
-                    for element in templist:
-                        try:
-                            name = str(element[0].GetLabelText())
-                            pars.append(name)
-                        except:
-                            wx.PostEvent(self.parent, StatusEvent(status="Simultaneous Fit error: %s" % sys.exc_value))
-                            return
-                    ## create a park model and reset parameter value if constraint
-                    ## is given
-                    new_model=Model(model)
-                    param=value.get_model_param()
-                    
-                    if len(param)>0:
-                        for item in param:
-                            param_value = item[1]
-                            param_name = item[0]
-    
-                            new_model.parameterset[ param_name].set( param_value )
-                        
-                    self.fitter.set_model(new_model, self.fit_id, pars) 
-                    ## check that non -zero value are send as dy in the fit engine
-                    dy=[]
-                    x=[]
-                    y=[]
-                    if metadata.__class__ in  ["Data1D","Theory1D"]:
-                        for i in range(len(metadata.dy)):
-                            if metadata.dy[i] !=0:
-                                dy.append(metadata.dy[i])
-                                x.append(metadata.x[i])
-                                y.append(metadata.y[i])
-                            if len(dy)>0:        
-                                metadata.dy=numpy.zeros(len(dy))
-                                metadata.dy=dy
-                                metadata.y=numpy.zeros(len(y))
-                                metadata.y=y
-                                metadata.x=numpy.zeros(len(x))
-                                metadata.x=x
-                                
-                    self.fitter.set_data(metadata,self.fit_id,qmin,qmax,ymin,ymax)
-                    self.fitter.select_problem_for_fit(Uid= self.fit_id,
-                                                       value= value.get_scheduled())
-                    self.fit_id += 1 
-                    value.clear_model_param()
-                   
-            except:
-                msg= "Simultaneous Fit error: %s" % sys.exc_value
-                wx.PostEvent(self.parent, StatusEvent(status= msg ))
-                return 
-            
-        #Do the simultaneous fit
-        try:
-            ## If a thread is already started, stop it
-            if self.calc_thread != None and self.calc_thread.isrunning():
-                self.calc_thread.stop()
-			## perform single fit
-            if  fitproblem_count==1:
-                self.calc_thread =FitThread(parent =self.parent,
-                                        fn= self.fitter,
-                                       qmin=qmin,
-                                       qmax=qmax,
-                                       ymin= ymin,
-                                       ymax= ymax,
-                                       cpage=cpage,
-                                       pars= pars,
-                                       completefn= self._simul_fit_completed,
-                                       updatefn=None)
-                      
-            else:
-                ## Perform more than 1 fit at the time
-                self.calc_thread =FitThread(parent =self.parent,
-                                        fn= self.fitter,
-                                       qmin=qmin,
-                                       qmax=qmax,
-                                       ymin= ymin,
-                                       ymax= ymax,
-                                       completefn= self._simul_fit_completed,
-                                       updatefn=None)
-            self.calc_thread.queue()
-            self.calc_thread.ready(2.5)
-            
-        except:
-            msg= "Simultaneous Fit error: %s" % sys.exc_value
-            wx.PostEvent(self.parent, StatusEvent(status= msg ))
-            return
-        
+                           
+        
+    def _on_show_panel(self, event):
+        print "_on_show_panel: fitting"
+      
+      
     def _onset_engine_park(self,event):
         """ 
